/*
 * deviced
 *
 * Copyright (c) 2012 - 2013 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __TIZEN_SYSTEM_DEVICED_DOC_H__
#define __TIZEN_SYSTEM_DEVICED_DOC_H__

/**
 * @defgroup CAPI_SYSTEM_DEVICED deviced
 * @brief  The deviced APIs provide functions to control devices.
 * @ingroup CAPI_SYSTEM_FRAMEWORK
 * @section CAPI_SYSTEM_DEVICED_HEADER Required Header
 *   \#include <dd-deviced-managed.h>
 *
 * @section CAPI_SYSTEM_SYSTEM_DEVICED_OVERVIEW Overview
 * Provides access to a set of device like battery, display, haptic, LED, etc.
 * The state of the device is changed or obtained by using APIs provided.
 *
 * - battery percentage, full charging state, etc.
 * - brightness control, enhance mode setting, display lock/unlock, etc.
 * - haptic play
 * - service led control
 * - other devices
 *
 */

#endif /* __TIZEN_SYSTEM_DEVICED_DOC_H__ */
