/*
 * deviced
 *
 * Copyright (c) 2015 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __DEVICED_USB_H__
#define __DEVICED_USB_H__

#include <limits.h>
#include <stdbool.h>
#include "extcon/extcon.h"

#define USB_FUNCTION_INVALID   UINT_MAX
#define SET_USB_INVALID        INT_MAX

int usb_dbus_init(void);

int usb_change_mode(unsigned int mode, bool change_debug_mode);
void usb_state_retrieve_selected_mode(void);
unsigned int get_mode_bitmap_from_vconf(int mode_v);

void broadcast_usb_state_changed(void);
void send_usb_state_changed_event(int status);
void change_usb_state_notification_handler(unsigned int mode);

unsigned int usb_state_get_selected_mode(void);
int usb_state_set_selected_mode(unsigned int mode);

unsigned int usb_state_get_current_mode(void);
int usb_state_set_current_mode(unsigned int mode);

extcon_usb_state_e usb_state_get_connection(void);
void usb_state_set_connection(extcon_usb_state_e conn);

#endif /* __USB_CLIENT_H__ */
